cassandra-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeff Jirsa <jji...@gmail.com>
Subject Re: Supported upgrade path for 4.0
Date Fri, 09 Oct 2020 05:33:23 GMT

I assumed it would be 3.0.x and 3.11.x 

I don’t know why we’d make 3.0-4.0 unofficial/unsupported - there’s no technical reason
I’ve seen 

> On Oct 8, 2020, at 9:21 PM, Anthony Grasso <anthony.grasso@gmail.com> wrote:
> 
> Hi Josh,
> 
> This is a really good question. I agree with David about making sure this
> is clearly documented.
> 
> As far as the supported upgrade path goes, I think we should officially
> support only 3.11.x. I do understand the idea of giving users the
> flexibility to upgrade from 3.0.x. However, the simpler we can make the
> upgrade path the better. As you mentioned, historically there have been
> numerous upgrade bugs. To that, having one upgrade path will make
> maintenance and support easier.
> 
> Kind regards,
> 
>> On Fri, 9 Oct 2020 at 07:36, David Capwell <dcapwell@gmail.com> wrote:
>> 
>> Thanks for bringing this up, we really should document this and make sure
>> the different upgrade paths are clearly documented and have proper
>> coverage.
>> 
>> There was a conversation in slack a while back (started from
>> https://the-asf.slack.com/archives/CK23JSY2K/p1595906733435000) but not
>> formal or voted on, but the current upgrade targets were 3.0.x and 3.11.x
>> (do others feel we should support other versions as well and if so what?).
>> 
>> For features, COMPACT STORAGE is getting a lot of attention right now, so
>> would love to see clarity on how we go from a cluster with COMPACT STORAGE
>> to 4.0 (is there min version support, what is the upgrade path, what about
>> deleted rows, etc.).
>> 
>> This is what I know about the current state of 4.0 upgrades at least.
>> 
>> On Thu, Oct 8, 2020 at 11:48 AM Joshua McKenzie <jmckenzie@apache.org>
>> wrote:
>> 
>>> Related JIRA ticket:
>> https://issues.apache.org/jira/browse/CASSANDRA-15588
>>> 
>>> Description:
>>> 
>>> "We've historically had numerous bugs concerning upgrading clusters from
>>> one version to the other. Let's establish the supported upgrade path and
>>> ensure that users can safely perform the upgrades in production."
>>> 
>>> So the topic of discussion here: what is our supported upgrade path to
>> 4.0?
>>> Is this actually documented on our site or in our documentation? Spent a
>>> few minutes poking around and didn't find anything.
>>> 
>>> Anyone have an opinion here or any formal prior art for us to build on?
>>> 
>> 

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@cassandra.apache.org
For additional commands, e-mail: dev-help@cassandra.apache.org


Mime
View raw message